[Debian-ha-commits] [pcs] 01/01: Cleanup on purge: /var/lib/pcsd, /var/log/pcsd
Valentin Vidic
vvidic-guest at moszumanska.debian.org
Mon Aug 22 16:57:10 UTC 2016
This is an automated email from the git hooks/post-receive script.
vvidic-guest pushed a commit to branch master
in repository pcs.
commit 30e305f0b88d66c6c8a4318872f803ade8ecc54a
Author: Valentin Vidic <Valentin.Vidic at CARNet.hr>
Date: Mon Aug 22 18:56:14 2016 +0200
Cleanup on purge: /var/lib/pcsd, /var/log/pcsd
---
debian/pcs.postrm | 42 ++++++++++++++++++++++++++++++++++++++++++
1 file changed, 42 insertions(+)
diff --git a/debian/pcs.postrm b/debian/pcs.postrm
new file mode 100644
index 0000000..5fd68b1
--- /dev/null
+++ b/debian/pcs.postrm
@@ -0,0 +1,42 @@
+#!/bin/sh
+# postrm script for pcs
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see https://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ purge)
+ rm -rf /var/lib/pcsd
+ rm -rf /var/log/pcsd
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-ha/pcs.git
More information about the Debian-HA-Commits
mailing list